jmdp

## Class SolversTest

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - jmdp.SolversTest

- All Implemented Interfaces:
    junit.framework.Test

      public class SolversTest
      extends junit.framework.TestCase

  Author:
    Germán Riaño. Universidad de los Andes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolversTest()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `main(java.lang.String[] args)`
    `void` | `testLPAvgSolver()`
    `void` | `testLPDiscounted()`
    `void` | `testModifiedPolicyIteration()`
    `void` | `testMPSAvgXpress()`
    `void` | `testMPSQsAverage()`
    `void` | `testMPSQsDiscounted()`
    `void` | `testMPSXpressDisc()`
    `void` | `testMPSXpressDiscountedNoPath()`
    `void` | `testPolicyIteration()`
    `void` | `testRelativeValueIterSolver()`
    `void` | `testValueIteration()`

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, getName, run, run, runBare, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame, format`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SolversTest

          public SolversTest()

  - ### Method Detail

    - #### testValueIteration

          public void testValueIteration()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testPolicyIteration

          public void testPolicyIteration()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testModifiedPolicyIteration

          public void testModifiedPolicyIteration()
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testRelativeValueIterSolver

          public void testRelativeValueIterSolver()
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testMPSQsDiscounted

          public void testMPSQsDiscounted()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testMPSQsAverage

          public void testMPSQsAverage()
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testLPDiscounted

          public void testLPDiscounted()
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testLPAvgSolver

          public void testLPAvgSolver()
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testMPSXpressDisc

          public void testMPSXpressDisc()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testMPSAvgXpress

          public void testMPSAvgXpress()
                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testMPSXpressDiscountedNoPath

          public void testMPSXpressDiscountedNoPath()
                                             throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)

      Parameters:
        `args` -